This URL updates the vIPS controller.
Resource URL
PUT /cloud/connector/<id>
Request Parameters
URL Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller id | Number | Yes |
Payload Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller name | String | Yes |
| Specifies if the controller is in high availability mode or not | Boolean | Yes |
| Controller service IP, if provided | String | No |
| High availability timeout in minutes | Number | No |
| Shared secret between the Manager and controller | String | Yes |
| Private controller communication subnet CIDR | String | Yes |
| Controller description | String | No |
| Cloud access details | Object | Yes |
Details of fields in cloud:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Type of cloud environment. Supported value:
| String | Yes |
| AWS cloud details | Object | Yes |
| Azure cloud details | Object | Yes |
Details of fields in AWS:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Specifies if the IAM roles in Manager machines are used to access the AWS cloud or not | Boolean | Yes |
| Cloud access region | String | Yes |
| Cloud access key | String | Yes |
| Cloud access secret key | String | Yes |
Details of fields in Azure:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Azure directory id | String | Yes |
| Azure app application key | String | Yes |
| Azure app application id | String | Yes |
| Azure app subscription id | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned:
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the update was successful | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/cloud/connector/103
Payload
{
'privateCommunicationSubnet': '1.1.1.0/24',
'sharedSecret': 'ControllerSharedSecretKey',
'cloud':
{
'type': 'AMAZON',
'awsDetails': {
'secretKey': 'ControllerCloudSecretKey',
'region': 'US_WEST_2',
'accessKey': 'ControllerCloudAccessKey'
}
},
'description': 'Demo Controller'
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error message: internal server error |
2 | 400 | 1105 | Invalid domain |
3 | 400 | 11001 | Cloud details are required |
4 | 400 | 11001 | Cloud type is required |
5 | 400 | 11001 | Cloud type should be one of: <list of allowed values> |
6 | 400 | 11001 | Cloud region should be one of: <list of allowed regions> |
7 | 400 | 11001 | Shared secret is required |
8 | 400 | 11001 | Private communication subnet is required |
9 | 400 | 1701 | Invalid CIDR notation |